
/*--------------------------------------------------------------------------
  
　カウントしない（非表示スキル）

■概要
　ユニットスキルのうち、メニュー上で非表示としたものはカウントしないようになります
　
　※プラグイン名がヘンテコなのは、クラスによるユニットスキル差し替え.jsとの競合対策です


18/07/16  新規作成
18/07/22  戦闘準備：スキル管理.jsとの競合対策を実施


■対応バージョン
　SRPG Studio Version:1.157

■規約
・利用はSRPG Studioを使ったゲームに限ります。
・商用・非商用問いません。フリーです。
・加工等、問題ありません。どんどん改造してください。
・クレジット明記無し　OK
・再配布、転載　OK
・SRPG Studio利用規約は遵守してください。
  
--------------------------------------------------------------------------*/


(function() {




//---------------------------
// SkillCheckerクラス
//---------------------------
SkillChecker.arrangeSkill= function(unit, skill, increaseType) {
		var list = unit.getSkillReferenceList();
		var count = Miscellaneous.getEffectiveSkillNumber(unit);
		var editor = root.getDataEditor();
		
		if (increaseType === IncreaseType.INCREASE) {
			// コンフィグの「スキル所持数」を超えてないか調べる
			if (count < DataConfig.getMaxSkillCount()) {
				editor.addSkillData(list, skill);
			}
		}
		else if (increaseType === IncreaseType.DECREASE) {
			editor.deleteSkillData(list, skill);
		}
		else if (increaseType === IncreaseType.ALLRELEASE) {
			editor.deleteAllSkillData(list);
		}
}




//---------------------------
// Miscellaneousクラス
//---------------------------
Miscellaneous.getEffectiveSkillNumber= function(unit) {
		var refList = unit.getSkillReferenceList();
		
		return refList.getTypeCount() - refList.getHiddenCount();
}


})();